Grasshopper

algorithmic modeling for Rhino

hello,

 

I have a poin3d (center) and a integer (radius), I trying to creat a circle surface, sombody can help me?

 

Best regards,

RG

Views: 5868

Replies to This Discussion

Attached is a python version that creates a circular surface from a circle. Essentially you want to first get a Rhino.Geometry.Circle, convert that circle to a NurbsCurve, and then create a Brep from the NurbsCurve

 

 

import Rhino

crv = circle.ToNurbsCurve()
breps = Rhino.Geometry.Brep.CreatePlanarBreps(crv)
if breps: brep = breps[0]
Attachments:

RSS

About

Translate

Search

Videos

  • Add Videos
  • View All

© 2024   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service